我在android工作室变得奇怪的错误

请任何人帮我
这是错误:错误:没有这样的属性:类的nexusUsername:org.gradle.api.publication.maven.internal.ant.DefaultGroovyMavenDeployer

堆栈跟踪

Information:Gradle tasks [:app:compileDebugJava]
Information:FAILURE: Build failed with an exception.
Information:* What went wrong:
Information:A problem occurred configuring project ':app'.
Information:> A problem occurred configuring project':libraries:HoloColorPicker-    master'.
Information:   > No such property: nexusUsername for class:        org.gradle.api.publication.maven.internal.ant.DefaultGroovyMavenDeployer
       Information:* Try:
          Information:Run with --stacktrace option to get the stack trace. Run with --info                       or --debug option to get more log output.
Information:0 errors

settings.gradle

include ':app'
include ':libraries:HoloColorPicker-master'

的build.gradle

apply plugin: 'android'

android {
    compileSdkVersion 19
    buildToolsVersion '19.0.3'

    defaultConfig {
        minSdkVersion 8
        targetSdkVersion 19
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
        runProguard false
        proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }
    }
}

dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    compile 'com.android.support:appcompat-v7:19.+'
    compile project(':libraries:HoloColorPicker-master')
}

Holopicker build.gradle

buildscript {
    repositories {
        mavenCentral()
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:0.9.+'
    }
}

def isReleaseBuild() {
    return version.contains("SNAPSHOT") == false
}

allprojects {
    version = VERSION_NAME
    group = GROUP

    repositories {
        mavenCentral()
    }
}

apply plugin: 'android-library'
android {
    compileSdkVersion 19
    buildToolsVersion "18.1.1"

    sourceSets {
        main {
            manifest.srcFile 'AndroidManifest.xml'
            java.srcDirs = ['src']
            res.srcDirs = ['res']
        }
    }
}

apply from: 'maven_push.gradle'
HoloColorPicker库具有上传到Maven存储库的渐变任务,需要为gradle环境设置一些属性(通常在gradle.properties中)。

最简单的解决方案是从build.gradle中删除该行:

apply from: 'maven_push.gradle'
翻译自:https://stackoverflow.com/questions/23546093/i-am-getting-strange-error-on-android-studio

转载注明原文:我在android工作室变得奇怪的错误